| Flutter Windows Embedder |

Public Member Functions | Protected Member Functions | Friends | List of all members
flutter::FlutterPlatformNodeDelegate::OwnerBridge Class Referenceabstract

`#include <flutter_platform_node_delegate.h>`

Inheritance diagram for flutter::FlutterPlatformNodeDelegate::OwnerBridge:

## Public Member Functions
virtual | ~OwnerBridge ()=default
virtual gfx::RectF | RelativeToGlobalBounds (const ui::AXNode *node, bool &offscreen, bool clip_bounds)=0
| Gets the rectangular bounds of the ax node relative to global coordinate. More...

## Protected Member Functions
virtual void | DispatchAccessibilityAction (AccessibilityNodeId target, FlutterSemanticsAction action, fml::MallocMapping data)=0
| Dispatch accessibility action back to the Flutter framework. These actions are generated in the native accessibility system when users interact with the assistive technologies. For example, a FlutterSemanticsAction::kFlutterSemanticsActionTap is fired when user click or touch the screen. More...
virtual gfx::NativeViewAccessible | GetNativeAccessibleFromId (AccessibilityNodeId id)=0
| Get the native accessibility node with the given id. More...
virtual AccessibilityNodeId | GetLastFocusedId ()=0
| Get the last id of the node that received accessibility focus. More...
virtual void | SetLastFocusedId (AccessibilityNodeId node_id)=0
| Update the id of the node that is currently foucsed by the native accessibility system. More...

## Friends
class | FlutterPlatformNodeDelegate

## Detailed Description

The required interface to be able to own the flutter platform node delegate.

Definition at line 38 of file flutter_platform_node_delegate.h.

## Constructor & Destructor Documentation

## ◆ ~OwnerBridge()

virtual flutter::FlutterPlatformNodeDelegate::OwnerBridge::~OwnerBridge | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ DispatchAccessibilityAction()

virtual void flutter::FlutterPlatformNodeDelegate::OwnerBridge::DispatchAccessibilityAction | ( | AccessibilityNodeId | target,
|  | FlutterSemanticsAction | action,
|  | fml::MallocMapping | data
| ) |  |
| protectedpure virtual

Dispatch accessibility action back to the Flutter framework. These actions are generated in the native accessibility system when users interact with the assistive technologies. For example, a FlutterSemanticsAction::kFlutterSemanticsActionTap is fired when user click or touch the screen.

Parameters

  [in] | target | The semantics node id of the action target.
  [in] | action | The generated flutter semantics action.
  [in] | data | Additional data associated with the action.

Implemented in flutter::AccessibilityBridgeWindows, and flutter::TestAccessibilityBridge.

## ◆ GetLastFocusedId()

virtual AccessibilityNodeId flutter::FlutterPlatformNodeDelegate::OwnerBridge::GetLastFocusedId | ( |  | ) |
| protectedpure virtual

Get the last id of the node that received accessibility focus.

## ◆ GetNativeAccessibleFromId()

virtual gfx::NativeViewAccessible flutter::FlutterPlatformNodeDelegate::OwnerBridge::GetNativeAccessibleFromId | ( | AccessibilityNodeId | id | ) |
| protectedpure virtual

Get the native accessibility node with the given id.

Parameters

  [in] | id | The id of the native accessibility node you want to retrieve.

## ◆ RelativeToGlobalBounds()

virtual gfx::RectF flutter::FlutterPlatformNodeDelegate::OwnerBridge::RelativeToGlobalBounds | ( | const ui::AXNode * | node,
|  | bool & | offscreen,
|  | bool | clip_bounds
| ) |  |
| pure virtual

Gets the rectangular bounds of the ax node relative to global coordinate.

Parameters

  [in] | node | The ax node to look up.
  [in] | offscreen | the bool reference to hold the result whether the ax node is outside of its ancestors' bounds.
  [in] | clip_bounds | whether to clip the result if the ax node cannot be fully contained in its ancestors' bounds.

## ◆ SetLastFocusedId()

virtual void flutter::FlutterPlatformNodeDelegate::OwnerBridge::SetLastFocusedId | ( | AccessibilityNodeId | node_id | ) |
| protectedpure virtual

Update the id of the node that is currently foucsed by the native accessibility system.

Parameters

  [in] | node_id | The id of the focused node.

## Friends And Related Function Documentation

## ◆ FlutterPlatformNodeDelegate

friend class FlutterPlatformNodeDelegate
| friend

Definition at line 56 of file flutter_platform_node_delegate.h.

The documentation for this class was generated from the following file:

- shell/platform/common/flutter_platform_node_delegate.h